QGIS Application - Bug report #19558
'Spatialite execute SQL' algorithm does not allow selection of layers without geometry
2018-08-07 12:56 PM - Rudi von Staden

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.3(master) Regression?: No
Operating System: Windows 10 Easy fix?: Yes
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27385
Description

The File Database parameter only allows layers with geometry to be selected. Users may want to execute SQL on layers without
geometry.

Associated revisions

Revision 680c3295 - 2018-08-08 11:28 AM - Rudi von Staden

Allow geometryless layers in Spatialite execute SQL

Fixes #19558

Revision 4f59bca2 - 2018-08-08 11:29 AM - Rudi von Staden

Allow geometryless layers in Spatialite execute SQL

Fixes #19558

History

#1 - 2018-08-08 11:27 AM - Rudi von Staden
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|680c3295ffce4d2489c826ed1b84a1dd1c215333.
